Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411993 - $websocket_log level is not configurable
Summary: $websocket_log level is not configurable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks: 1412285
TreeView+ depends on / blocked
 
Reported: 2017-01-10 23:14 UTC by Satoe Imaishi
Modified: 2017-08-15 13:41 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1412285 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:34:34 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
kkulkarn: needinfo+


Attachments (Terms of Use)

Description Satoe Imaishi 2017-01-10 23:14:29 UTC
ManageIQ issue https://github.com/ManageIQ/manageiq/issues/13259:

The default log level for the websocket_log is info and the messages mirrored to the evm.log are ERROR. We don't expose a way to configure the log level for this logger.

irb(main):001:0> $websocket_log.level
=> 1
irb(main):002:0> $websocket_log.mirror_level
=> 3

We should expose the log level for this logger, similar to how we do for many other mirrored loggers.


PR: https://github.com/ManageIQ/manageiq/pull/13265

Comment 6 Kedar Kulkarni 2017-05-22 17:31:58 UTC
Websocket log level can now be configured through Configuration -> Advanced, by editing the line :level_websocket: to contain info, error, fatal, debug, or any other valid log level. 

FYI, websocket logs can be found at /var/www/miq/vmdb/log/websocket.log on your appliance.


Note You need to log in before you can comment on or make changes to this bug.